Drupal 8 Site using Vue
Вы не можете выбрать более 25 тем Темы должны начинаться с буквы или цифры, могут содержать дефисы(-) и должны содержать не более 35 символов.
 
 

115 строки
3.7 KiB

  1. {
  2. "name": "codekoalas/koality-drupal",
  3. "description": "Project template for Drupal 8 projects with composer: with some pre-installed things needed on every site",
  4. "type": "project",
  5. "license": "GPL-2.0+",
  6. "authors": [
  7. {
  8. "name": "",
  9. "role": ""
  10. }
  11. ],
  12. "repositories": [
  13. {
  14. "type": "composer",
  15. "url": "https://packages.drupal.org/8"
  16. }
  17. ],
  18. "require": {
  19. "php": ">=5.6",
  20. "composer/installers": "^1.2",
  21. "cweagans/composer-patches": "^1.6.5",
  22. "drupal-composer/drupal-scaffold": "^2.5",
  23. "drupal/admin_toolbar": "~1.0",
  24. "drupal/advagg": "^3.5",
  25. "drupal/backup_migrate": "^4.0",
  26. "drupal/blazy": "~1.0",
  27. "drupal/block_blacklist": "^1.0",
  28. "drupal/components": "^1.1",
  29. "drupal/config_export_ignore": "^1.0@RC",
  30. "drupal/config_ignore": "^2.1",
  31. "drupal/config_split": "^1.3",
  32. "drupal/config_update": "^1.5",
  33. "drupal/console": "^1.0.2",
  34. "drupal/core": "~8.0",
  35. "drupal/ctools": "~3.0",
  36. "drupal/devel": "^1.2",
  37. "drupal/field_group": "^1.0",
  38. "drupal/focal_point": "^1.0",
  39. "drupal/imageapi_optimize": "^2.0@alpha",
  40. "drupal/inline_entity_form": "^1.0@RC",
  41. "drupal/koality_theme_generator": "1.x-dev",
  42. "drupal/layout_builder_restrictions": "^2.2",
  43. "drupal/layout_builder_st": "^1.0@alpha",
  44. "drupal/linkit": "~4.0",
  45. "drupal/masquerade": "^2.0@beta",
  46. "drupal/menu_link_attributes": "^1.0",
  47. "drupal/metatag": "^1.9",
  48. "drupal/module_filter": "~3.0",
  49. "drupal/paragraphs": "^1.2",
  50. "drupal/pathauto": "~1.0",
  51. "drupal/prlp": "^1.2",
  52. "drupal/token": "~1.0",
  53. "drupal/twig_tweak": "^2.0",
  54. "drupal/twig_xdebug": "^1.1",
  55. "drupal/ui_patterns": "^1.1",
  56. "drupal/webform": "^5.3",
  57. "drush/drush": "^9.0.0",
  58. "vlucas/phpdotenv": "^2.4",
  59. "webflo/drupal-finder": "^1.0.0",
  60. "webmozart/path-util": "^2.3",
  61. "zaporylie/composer-drupal-optimizations": "^1.0"
  62. },
  63. "require-dev": {
  64. "webflo/drupal-core-require-dev": "^8.8.0"
  65. },
  66. "conflict": {
  67. "drupal/drupal": "*"
  68. },
  69. "minimum-stability": "dev",
  70. "prefer-stable": true,
  71. "config": {
  72. "sort-packages": true
  73. },
  74. "autoload": {
  75. "classmap": [
  76. "scripts/composer/ScriptHandler.php"
  77. ],
  78. "files": ["load.environment.php"]
  79. },
  80. "scripts": {
  81. "pre-install-cmd": [
  82. "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  83. ],
  84. "pre-update-cmd": [
  85. "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  86. ],
  87. "post-install-cmd": [
  88. "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  89. ],
  90. "post-update-cmd": [
  91. "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  92. ]
  93. },
  94. "extra": {
  95. "composer-exit-on-patch-failure": true,
  96. "patchLevel": {
  97. "drupal/core": "-p2"
  98. },
  99. "installer-paths": {
  100. "docroot/core": ["type:drupal-core"],
  101. "docroot/libraries/{$name}": ["type:drupal-library"],
  102. "docroot/modules/contrib/{$name}": ["type:drupal-module"],
  103. "docroot/profiles/contrib/{$name}": ["type:drupal-profile"],
  104. "docroot/themes/contrib/{$name}": ["type:drupal-theme"],
  105. "drush/contrib/{$name}": ["type:drupal-drush"]
  106. },
  107. "drupal-scaffold": {
  108. "initial": {
  109. ".editorconfig": "../.editorconfig",
  110. ".gitattributes": "../.gitattributes"
  111. }
  112. }
  113. }
  114. }